> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリケーションのパラメータ情報を取得

> アプリケーションの入力フォーム設定（機能スイッチ、入力パラメータ名、タイプ、デフォルト値）を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_completion.json get /parameters
openapi: 3.0.1
info:
  title: Completion アプリ API
  description: テキスト生成アプリケーションはセッションなしで動作し、翻訳、記事作成、要約 AI などに最適です。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: テキスト生成アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ファイル操作
    description: ファイル管理に関連する操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックに関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識に関連する操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
paths:
  /parameters:
    get:
      tags:
        - アプリケーション設定
      summary: アプリケーションのパラメータ情報を取得
      description: アプリケーションの入力フォーム設定（機能スイッチ、入力パラメータ名、タイプ、デフォルト値）を取得します。
      operationId: getCompletionAppParametersJp
      responses:
        '200':
          description: アプリケーションパラメータ情報。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompletionAppParametersResponse'
              examples:
                appParameters:
                  summary: レスポンス例
                  value:
                    opening_statement: Hello! How can I help you today?
                    suggested_questions:
                      - What can you do?
                      - Tell me about your features.
                    suggested_questions_after_answer:
                      enabled: true
                    speech_to_text:
                      enabled: false
                    text_to_speech:
                      enabled: false
                      voice: alloy
                      language: en-US
                      autoPlay: disabled
                    retriever_resource:
                      enabled: true
                    annotation_reply:
                      enabled: false
                    more_like_this:
                      enabled: false
                    sensitive_word_avoidance:
                      enabled: false
                    user_input_form:
                      - text-input:
                          label: City
                          variable: city
                          required: true
                          default: ''
                    file_upload:
                      image:
                        enabled: true
                        number_limits: 3
                        detail: high
                        transfer_methods:
                          - remote_url
                          - local_file
                    system_parameters:
                      file_size_limit: 15
                      image_file_size_limit: 10
                      audio_file_size_limit: 50
                      video_file_size_limit: 100
                      workflow_file_upload_limit: 10
        '400':
          description: '`app_unavailable` : アプリケーションが利用できないか、設定が正しくありません。'
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
components:
  schemas:
    CompletionAppParametersResponse:
      type: object
      properties:
        opening_statement:
          type: string
          description: 開始時に表示されるオープニングステートメント。
        suggested_questions:
          type: array
          items:
            type: string
          description: 推奨される初期質問のリスト。
        suggested_questions_after_answer:
          type: object
          description: 回答後の推奨質問の設定。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        speech_to_text:
          type: object
          description: 音声からテキストへの変換設定。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        text_to_speech:
          type: object
          description: テキストから音声への変換設定。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
            voice:
              type: string
              description: TTS の音声識別子。
            language:
              type: string
              description: TTS の言語。
            autoPlay:
              type: string
              enum:
                - enabled
                - disabled
              description: 自動再生設定。
        retriever_resource:
          type: object
          description: 検索リソースの設定。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        annotation_reply:
          type: object
          description: アノテーション返信の設定。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        more_like_this:
          type: object
          description: 類似コンテンツの設定。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        sensitive_word_avoidance:
          type: object
          description: センシティブワードフィルタリングの設定。
          properties:
            enabled:
              type: boolean
              description: この機能が有効かどうか。
        user_input_form:
          type: array
          description: ユーザー入力フォーム要素のリスト。
          items:
            $ref: '#/components/schemas/UserInputFormItem'
        file_upload:
          type: object
          description: ファイルアップロードの設定。
          properties:
            image:
              type: object
              description: 画像アップロードの設定。
              properties:
                enabled:
                  type: boolean
                  description: 画像アップロードが有効かどうか。
                number_limits:
                  type: integer
                  description: 最大画像数。
                detail:
                  type: string
                  description: 画像の詳細レベル。
                transfer_methods:
                  type: array
                  items:
                    type: string
                    enum:
                      - remote_url
                      - local_file
                  description: 許可された転送方法。
        system_parameters:
          type: object
          description: システムレベルのパラメータと制限。
          properties:
            file_size_limit:
              type: integer
              description: 最大ファイルサイズ（MB）。
            image_file_size_limit:
              type: integer
              description: 最大画像ファイルサイズ（MB）。
            audio_file_size_limit:
              type: integer
              description: 最大音声ファイルサイズ（MB）。
            video_file_size_limit:
              type: integer
              description: 最大動画ファイルサイズ（MB）。
            workflow_file_upload_limit:
              type: integer
              description: ワークフローファイルアップロードの最大ファイル数。
    UserInputFormItem:
      type: object
      oneOf:
        - $ref: '#/components/schemas/TextInputControlWrapper'
        - $ref: '#/components/schemas/ParagraphControlWrapper'
        - $ref: '#/components/schemas/SelectControlWrapper'
    TextInputControlWrapper:
      title: Text Input
      type: object
      properties:
        text-input:
          $ref: '#/components/schemas/TextInputControl'
    ParagraphControlWrapper:
      title: Paragraph
      type: object
      properties:
        paragraph:
          $ref: '#/components/schemas/ParagraphControl'
    SelectControlWrapper:
      title: Select
      type: object
      properties:
        select:
          $ref: '#/components/schemas/SelectControl'
    TextInputControl:
      type: object
      properties:
        label:
          type: string
          description: フォームフィールドの表示ラベル。
        variable:
          type: string
          description: '`inputs` オブジェクトのキーとして使用される変数名。'
        required:
          type: boolean
          description: 送信前にこのフィールドを入力する必要があるかどうか。
        default:
          type: string
          description: フォームフィールドに事前入力されるデフォルト値。
    ParagraphControl:
      type: object
      properties:
        label:
          type: string
          description: フォームフィールドの表示ラベル。
        variable:
          type: string
          description: '`inputs` オブジェクトのキーとして使用される変数名。'
        required:
          type: boolean
          description: 送信前にこのフィールドを入力する必要があるかどうか。
        default:
          type: string
          description: フォームフィールドに事前入力されるデフォルト値。
    SelectControl:
      type: object
      properties:
        label:
          type: string
          description: フォームフィールドの表示ラベル。
        variable:
          type: string
          description: '`inputs` オブジェクトのキーとして使用される変数名。'
        required:
          type: boolean
          description: 送信前に選択を行う必要があるかどうか。
        default:
          type: string
          description: デフォルトで選択される値。
        options:
          type: array
          items:
            type: string
          description: このフォームコントロールの選択可能な値のリスト。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````